Qt 5.6 | Qt Network | C++ Classes | QSslCertificate

Qt 5.6.2 Reference Documentation

# Obsolete Members for QSslCertificate

The following members of class QSslCertificate are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QMultiMap<QSsl::AlternateNameEntryType, QString> | alternateSubjectNames() const
`(obsolete)` bool | isValid() const

## Member Function Documentation

### QMultiMap<QSsl::AlternateNameEntryType, QString> QSslCertificate::alternateSubjectNames() const

Use QSslCertificate::subjectAlternativeNames();

### bool QSslCertificate::isValid() const

To verify a certificate, use verify(). To check if a certificate is blacklisted, use isBlacklisted(). To check if a certificate has expired or is not yet valid, compare expiryDate() and effectiveDate() with QDateTime::currentDateTime()

This function checks that the current date-time is within the date-time range during which the certificate is considered valid, and checks that the certificate is not in a blacklist of fraudulent certificates.

See also isNull(), verify(), isBlacklisted(), expiryDate(), and effectiveDate().